<?php
/**
 * @package	PentryForms
 * @copyright	Copyright (C) 2021 PentryForms.com. All rights reserved.
 * @GNU General Public License
*/

defined( '_JEXEC' ) or die( 'Restricted access' );


	
class plgSystemPentryForms extends JPlugin
{	

	protected $autoloadLanguage = true;


	public function onAfterRender()
	{
		$app   = (class_exists('\Joomla\CMS\Factory')) ? \Joomla\CMS\Factory::getApplication() : JFactory::getApplication();
		
        $js_code = $this->isEnabled();
        
		if (!$app->isAdmin() && $js_code) {

			$sHtml = $app->getBody();
            
            $sHtml = str_replace('</body>', $js_code, $sHtml);

			$app->setBody($sHtml);
		}
	}

    public function isEnabled()
    {
        $settings_file = JPATH_ADMINISTRATOR.DIRECTORY_SEPARATOR.'components'.DIRECTORY_SEPARATOR.'com_pentryforms'.DIRECTORY_SEPARATOR.'pentryforms.json';
		if (!is_file($settings_file)) return false;
		
		$params = (array) @json_decode(file_get_contents($settings_file), true);
        
        if (isset($params['js_code']) && trim($params['js_code']) != '') return @$params['js_code'];
        else return false;
    }


}

