<?php
/**
 * @package	PentryForms
 * @copyright	Copyright (C) 2021 PentryForms.com. All rights reserved.
 * @GNU General Public License
 */
defined('_JEXEC') or die('Restricted access');
 
class com_pentryformsInstallerScript
{
	function install($parent) 
	{
        jimport('joomla.installer.installer');
		
        $src_plugins = dirname(__FILE__). DIRECTORY_SEPARATOR .'plugin' . DIRECTORY_SEPARATOR . 'system';


        $installer = new JInstaller;

        $result = $installer->install($src_plugins);
		
		$db = JFactory::getDBO();
		$sql = "UPDATE #__extensions SET enabled = '1' WHERE element = 'pentryforms' AND type = 'plugin'";
        $db->setQuery($sql);
		$db->query();
		if ($db->getErrorNum())
		{
			JFactory::getApplication()->enqueueMessage($db->stderr(), 'warning');
		}
		
		if ($db->getAffectedRows() == 0)
		{
			JFactory::getApplication()->enqueueMessage('Plugin "PentryForms" is not activated automatically, please go to plugin section and activate it manually. <a href="index.php?option=com_installer&view=manage&filter[search]=pentryforms">Click here</a>', 'warning');
		}
	}
	
	
	function uninstall($parent) 
	{
		jimport('joomla.installer.installer');
		$db = JFactory::getDBO();	
		$db->setQuery("SELECT 'extension_id' FROM #__extensions WHERE type = 'plugin' AND element = 'pentryforms' AND folder = 'system'");
        $id = $db->loadResult();
        if($id)
        {
            $installer = new JInstaller;
            $result = $installer->uninstall('plugin', $id , 1);
        }
	}
	

}
